This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1310606 - Could not create new app using docker image
Could not create new app using docker image
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.2.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Ben Parees
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 05:50 EST by Wei Sun
Modified: 2016-05-12 12:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:29:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2016-02-22 05:50:52 EST
Description of problem:
Create a new app using docker image,could not create the application successfully.

$ oc new-app centos/ruby-22-centos7~https://github.com/openshift/ruby-hello-world.git --loglevel=5
I0222 17:29:56.292622    5262 newapp.go:430] Docker client did not respond to a ping: Get http://unix.sock/_ping: dial unix /var/run/docker.sock: no such file or directory


Version-Release number of selected component (if applicable):
$ oc version
oc v3.1.1.904
kubernetes v1.2.0-alpha.7-703-gbc4550d

How reproducible:
Always

Steps to Reproduce:
1.Create a new app using docker image
2.
3.

Actual results:
$ oc new-app centos/ruby-22-centos7~https://github.com/openshift/ruby-hello-world.git --loglevel=5
I0222 17:29:56.292622    5262 newapp.go:430] Docker client did not respond to a ping: Get http://unix.sock/_ping: dial unix /var/run/docker.sock: no such file or directory
I0222 17:29:56.292750    5262 imagestreamlookup.go:47] checking ImageStreams centos/ruby-22-centos7 with ref "latest"
I0222 17:29:56.891445    5262 dockerimagelookup.go:72] checking remote registry for "centos/ruby-22-centos7"
I0222 17:29:57.459567    5262 dockerimagelookup.go:262] checking Docker registry for "centos/ruby-22-centos7", allow-insecure=false
I0222 17:29:59.291200    5262 client.go:320] Found registry v2 API at https://registry-1.docker.io/v2/
I0222 17:30:04.493035    5262 dockerimagelookup.go:291] found image: &dockerregistry.Image{Image:docker.Image{ID:"sha256:98cef73f621fa92e1bd8f701d7c7d0e4830d234e8d1f44e6e180dfd02029c7ba", Parent:"c72590b9ca724a9d6e9be066a39a2c8a59662a95285cada9708cece6a59583f3", Comment:"", Created:time.Time{sec:63591544655, nsec:636699000, loc:(*time.Location)(0x29543c0)}, Container:"", ContainerConfig:docker.Config{Hostname:"", Domainname:"", User:"", Memory:0, MemorySwap:0, MemoryReservation:0, KernelMemory:0, CPUShares:0, CPUSet:"", AttachStdin:false, AttachStdout:false, AttachStderr:false, PortSpecs:[]string(nil), ExposedPorts:map[docker.Port]struct {}(nil), StopSignal:"", Tty:false, OpenStdin:false, StdinOnce:false, Env:[]string(nil), Cmd:[]string(nil), DNS:[]string(nil), Image:"", Volumes:map[string]struct {}(nil), VolumeDriver:"", VolumesFrom:"", WorkingDir:"", MacAddress:"", Entrypoint:[]string(nil), NetworkDisabled:false, SecurityOpts:[]string(nil), OnBuild:[]string(nil), Mounts:[]docker.Mount(nil), Labels:map[string]string(nil)}, DockerVersion:"1.8.2-el7", Author:"SoftwareCollections.org <sclorg@redhat.com>", Config:(*docker.Config)(0xc208306000), Architecture:"amd64", Size:57193411, VirtualSize:0, RepoDigests:[]string(nil)}, PullByID:true}
I0222 17:30:04.493591    5262 dockerimagelookup.go:310] Adding Docker image "centos/ruby-22-centos7" (tag "latest"), 98cef73, from Docker Hub, 54.544mb, author SoftwareCollections.org <sclorg@redhat.com> as component match for "centos/ruby-22-centos7" with score 0
I0222 17:30:04.493618    5262 dockerimagelookup.go:78] Found remote match centos/ruby-22-centos7
F0222 17:30:04.493705    5262 helpers.go:107] error: no match for "centos/ruby-22-centos7"

The 'oc new-app' command will match arguments to the following types:

  1. Images tagged into image streams in the current project or the 'openshift' project
     - if you don't specify a tag, we'll add ':latest'
  2. Images in the Docker Hub, on remote registries, or on the local Docker engine
  3. Templates in the current project or the 'openshift' project
  4. Git repository URLs or local paths that point to Git repositories

--allow-missing-images can be used to point to an image that does not exist yet.

See 'oc new-app -h' for examples.


Expected results:
Could create the app using docker image successfully

Additional info:
Also met the same issue :
oc new-build --dockerfile="$(cat ./Dockerfile)" --loglevel=5
I0222 18:09:30.113782    1258 newapp.go:430] Docker client did not respond to a ping: Get http://unix.sock/_ping: dial unix /var/run/docker.sock: no such file or directory
I0222 18:09:30.137839    1258 imagestreamlookup.go:47] checking ImageStreams yapei-dockerfile/centos with ref "7"
I0222 18:09:30.842071    1258 imagestreamlookup.go:47] checking ImageStreams openshift/centos with ref "7"
I0222 18:09:32.062727    1258 imagestreamlookup.go:63] unscored jboss-amq-62: 1
I0222 18:09:32.062783    1258 imagestreamlookup.go:63] unscored jboss-datagrid65-openshift: 1
I0222 18:09:32.062802    1258 imagestreamlookup.go:63] unscored jboss-decisionserver62-openshift: 1
I0222 18:09:32.062819    1258 imagestreamlookup.go:63] unscored jboss-eap64-openshift: 1
I0222 18:09:32.062836    1258 imagestreamlookup.go:63] unscored jboss-webserver30-tomcat7-openshift: 1
I0222 18:09:32.062853    1258 imagestreamlookup.go:63] unscored jboss-webserver30-tomcat8-openshift: 1
I0222 18:09:32.062869    1258 imagestreamlookup.go:63] unscored jenkins: 1
I0222 18:09:32.062884    1258 imagestreamlookup.go:63] unscored mongodb: 1
I0222 18:09:32.062900    1258 imagestreamlookup.go:63] unscored mysql: 1
I0222 18:09:32.062926    1258 imagestreamlookup.go:63] unscored nodejs: 1
I0222 18:09:32.062943    1258 imagestreamlookup.go:63] unscored perl: 1
I0222 18:09:32.062960    1258 imagestreamlookup.go:63] unscored php: 1
I0222 18:09:32.062976    1258 imagestreamlookup.go:63] unscored postgresql: 1
I0222 18:09:32.062992    1258 imagestreamlookup.go:63] unscored python: 1
I0222 18:09:32.063007    1258 imagestreamlookup.go:63] unscored ruby: 1
I0222 18:09:32.063042    1258 dockerimagelookup.go:72] checking remote registry for "centos:7"
I0222 18:09:33.867568    1258 dockerimagelookup.go:237] Adding Docker image "centos:7" (tag "7"), 0e02173, from Docker Hub, 187.510mb, author The CentOS Project <cloud-ops@centos.org> as component match for "centos:7" with score 0
I0222 18:09:33.867611    1258 dockerimagelookup.go:78] Found remote match centos:7
F0222 18:09:33.867689    1258 helpers.go:107] error: no match for "centos:7"

The 'oc new-build' command will match arguments to the following types:

  1. Images tagged into image streams in the current project or the 'openshift' project
     - if you don't specify a tag, we'll add ':latest'
  2. Images in the Docker Hub, on remote registries, or on the local Docker engine
  3. Git repository URLs or local paths that point to Git repositories

--allow-missing-images can be used to force the use of an image that was not matched

See 'oc new-build -h' for examples
Comment 1 Ben Parees 2016-02-22 10:24:47 EST
Can you try w/ a current oc binary? i believe this was fixed here:
https://github.com/openshift/origin/commit/5a3c5459504a022e3cdfc6a6be328ccc2ec1fb17
Comment 2 Wei Sun 2016-02-22 21:44:05 EST
Verified this bug with the 3.1.1.905 oc.

Now both oc new-app using docker image and oc new-build using docker file work well.


$ oc version
oc v3.1.1.905
kubernetes v1.2.0-alpha.7-703-gbc4550d
Comment 4 errata-xmlrpc 2016-05-12 12:29:56 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064

Note You need to log in before you can comment on or make changes to this bug.